(function ()
{
	// create BdInbuiltShortcodes plugin
	tinymce.create("tinymce.plugins.BdInbuiltShortcodes",
	{
		init: function ( ed, url )
		{	
			//Separator            
			ed.addButton('bd_separator', {
				title : 'Add a separator',
				image : url + '/icons/separator.png',
				onclick : function(){
					ed.selection.setContent ('[bd_separator]');
				}
			});

			//Big Tweet 
			ed.addButton('bd_bigtweet', {
				title : 'Add a separator',
				image : url + '/icons/tweet.png',
				onclick : function(){
					ed.selection.setContent ('[bd_bigtweet]');
				}
			});

			//Post Slider
			ed.addButton('bd_post_slider', {
				title : 'Insert all attached images as slider',
				image : url + '/icons/slider.png',
				onclick : function(){
					ed.selection.setContent ('[bd_post_slider]');
				}
			});

			// Register buttons
			ed.addButton('bd_jplayer', {title : 'One song player', cmd : 'mcebuttonJplayer', image: url + '/icons/audio.png' });

			// Register commands
			ed.addCommand('mcebuttonJplayer', function() {
				ed.windowManager.open({
					file : url + '/popup/jplayer.php', // file that contains HTML for our modal window
					width : 640 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 400 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('bd_widgetarea', {title : 'Insert Widgetarea', cmd : 'mcebuttonWidgetarea', image: url + '/icons/widgetarea.png' });

			// Register commands
			ed.addCommand('mcebuttonWidgetarea', function() {
				ed.windowManager.open({
					file : url + '/popup/widgetarea.php', // file that contains HTML for our modal window
					width : 640 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 300 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
					inline : 1
				}, {
					plugin_url : url
				});
			});

		},
		createControl: function ( btn, e )
		{
			return null;
		},


		getInfo: function () {
			return {
				longname: 'BrutalDesign InBuiltShortcodes',
				author: 'BrutalDesign',
				authorurl: 'http://themes.brutaldesign.com',
				infourl: 'http://www.tinymce.com/wiki.php',
				version: "1.0"
			}
		}
	});
	
	tinymce.PluginManager.add("BdInbuiltShortcodes", tinymce.plugins.BdInbuiltShortcodes);
})();