<?php
/*--------------------------------------------------------------------------------------------------------------
	
	Do not modify the content below unless you know what you are doing.

----------------------------------------------------------------------------------------------------------------*/

/**
* Require the framework init file to do the magic.
*/
require_once get_template_directory() . '/framework/bd-core.php';

/**
* We use the "BdTheme" class to set up the main theme structure in one single array.
* It is IMPORTANT to keep the name of the array as "$BD_theme".
* This name is used in some core functions.
*/
$BD_theme = array(
		
	/* The default width of the main content area */
	'width' => '745',	
	
	/* Menus (id => name) */
	'menus' => array(
		'primary' => 'Main Menu',
		'mobile' => 'Mobile Menu',
		'secondary' => 'Bottom Menu',
		),
	
	/**
	* Widgets used in the theme
	* Widgets are in includes/widgets folder.
	* The widget files must be named {mywidget}-widget.php
	*/
	'widgets' => array(
		 'video', 'recent-posts', 'twitter', 'flickr', 'recent-comments', 'shows', 'taxonomy', 'last-photos', 'custom-tabs', 
		 'last-release', 'last-store-item'
		),


	/**
	* In-built plugins 
	* You can disable plugins that you don't want to use by removing them from the array
	*/
	'features' => array(
		'refineslide', 'flexslider', 'share', 'jplayer', 'paypal'
		),
	

	/**
	*  The thumbnails :
	*  We define wordpress thumbnail sizes that we will use in our design
	*/
	'images' => (array(
		
		/**
		*  parameters in the thumbnail array :
		*  int : max width
		*  int : max height
		*  boolean : ture/false -> hardcrop or not
		*/
		
		/*----------------------------------*
		* Default post feature image
		*/
		'default' => array(600, 800, false),
		
		/*----------------------------------*
		* Post format image
		*/
		'large' => array(750, 1000, false),

		/*----------------------------------*
		* Widget thumbnail
		*/
		'mini' => array( 80, 80, true), 

		/*----------------------------------*
		* Photo widget thumbnail
		*/
		'photo-widget-thumb' => array( 180, 180, true), 
		'photo-widget-slide' => array( 360, 360, true), 

		/*----------------------------------*
		* Album cover, video thumbnail
		*/
		'item-cover' => array(410, 280, true),

		/*----------------------------------*
		* Store thumb, release thumb
		*/
		'store-thumb' => array(410, 410, true),


		/*----------------------------------*
		* Photo thumbnail
		*/
		'photo' => array(390, 700, false),

		/*----------------------------------*
		* RSS image
		*/
		'archive-thumb' => array( 570, 400, false) 
	) ),


	/* The Custom Post Types */
	'post-types' => array(
		
		'gallery' => array(
			'plural' => 'galleries', //plural : optional, but usefull in this case
			
		),

		

		'release' => array(

			'menu_name' => 'Discography',
		),

		'show' => array(),

		'item' => array(

			'menu_name' => 'Store',
		),

		'video' => array(

			'hide_text_editor' => true,
			'seo' => false

		),

	),

	/* Taxonomy */
	'taxonomy' => array(

		/* id */
		'item-type' => array(
			'post-types' => array('item'),  //associated post types
			'singular' => 'type',
			// uncomment the line below to use the taxonomy as tags instead of category
			// 'type' => 'tags' 
		),

		'gallery-category' => array(
			'post-types' => array('gallery'),  //associated post types
			'singular' => 'category',
			'plural' => 'categories'
			// uncomment the line below to use the taxonomy as tags instead of category
			// 'type' => 'tags' 
		),

	),

	/**
	*  Add a video html code field in the text editor and activate the video thumbnail generator for the following post types
	*  If is not set, default is "post" for the video post format 
	*/
	'video' => array('video')


);
$bd_do_theme = new BdTheme($BD_theme);
?>
