<?php
include_once BD_FLEXSLIDER_DIR . '/inc/functions.php';

global $wpdb, $options; 

$bd_flexslider_table = $wpdb->prefix.'bd_flexslider';
$bd_flexslider_settings = get_option('bd_flexslider_settings');

$bd_flexslider_width = 570;
$bd_flexslider_height = $bd_flexslider_settings['height'];

// --------------------------------------------------------------------------


// Edit image
if(isset( $_GET['edit']))
	require 'bd-flexslider-slide-edit.php';


// --------------------------------------------------------------------------

// Re-order Slide by drag & drop with jquery-ui sortable
if(isset($_POST['sortable'])){
	$sortlist = $_POST['sortable'];
	/*
	* $k = position
	* $v = id
	*/
	foreach ($sortlist as $k => $v) {
		//echo $k.' = '. $v;
		$wpdb->query("UPDATE $bd_flexslider_table SET position=$k WHERE id = $v");

	}
}

// --------------------------------------------------------------------------


// Delete image
if(isset($_POST['bd-slides-action'])){

	if(isset($_POST['box'])){
		$boxes = $_POST['box'];

		foreach($boxes as $id){
			$del = $wpdb->get_row("SELECT * FROM $bd_flexslider_table WHERE id = $id");
	
			if( $del ){

				bd_delete_file(BD_FLEXSLIDER_FILES_DIR.'/'.$del->img);
				bd_delete_file(BD_FLEXSLIDER_FILES_DIR.'/slides/'.$del->img);

				$wpdb->query("DELETE FROM $bd_flexslider_table WHERE id = $id");
				
			}
		}

		bd_admin_notices(__('Slides deleted', 'bd'), 'updated');
	}else{
		bd_admin_notices(__('No slide selected', 'bd'), 'error');
	}
	

}


// Delete image
if(isset($_GET['delete'])){
	
	$delid = $_GET['delete'];
	/* Delete from database */
	$deli = $wpdb->get_row("SELECT * FROM $bd_flexslider_table WHERE id = $delid");
	
	if($deli){

		bd_delete_file(BD_FLEXSLIDER_FILES_DIR.'/'.$deli->img);
		bd_delete_file(BD_FLEXSLIDER_FILES_DIR.'/slides/'.$deli->img);

		$wpdb->query("DELETE FROM $bd_flexslider_table WHERE id = $delid");
		
	}

	
	unset($_GET);
}


// --------------------------------------------------------------------------

/**
* Image Upload
*
*/
if( isset($_POST['submitimg']) && wp_verify_nonce($_POST['bd_upload_flexslider_image_nonce'],'bd_upload_flexslider_image') ){

	/*Verif*/
	$tmp = $_FILES['img']['tmp_name'];
	$ext = pathinfo($_FILES['img']['name'], PATHINFO_EXTENSION); 
	//$img_name = mktime().'.'.$ext;
	
	$raw_img_name = $_FILES['img']['name'];
	$img_name = wp_unique_filename(BD_FLEXSLIDER_FILES_DIR, $raw_img_name);

	if(empty($raw_img_name)){
		$error_message = __('Please choose an image to upload', 'bd');
		bd_admin_notices( $error_message, 'error' );

	}elseif(strpos($_FILES['img']['type'], 'image') === false){
		$error_message = '<strong>'.$raw_img_name.'</strong> '. __('is not an image. Only jpg, png or gif are allowed', 'bd');
		bd_admin_notices( $error_message, 'error' );

	}elseif($_FILES['img']['size'] > ini_get('upload_max_filesize') * 1000000){
		$error_message = '<strong>'.$raw_img_name.'</strong> '.__('is too big for your server. Your server upload max size is' , 'bd') . ini_get('upload_max_filesize');
		bd_admin_notices($error_message, 'error');

	}else{
		/* Upload */ 
		move_uploaded_file($tmp,  BD_FLEXSLIDER_FILES_DIR.'/'.$img_name);
		bd_resizeImage(BD_FLEXSLIDER_FILES_DIR.'/'.$img_name, 1920, 1500);
		bd_thumbnail(BD_FLEXSLIDER_FILES_DIR.'/'.$img_name, BD_FLEXSLIDER_FILES_DIR.'/slides/', $img_name, $bd_flexslider_width, $bd_flexslider_height );
		
		$coordinates_array = bd_get_default_crop_coordinates(BD_FLEXSLIDER_FILES_DIR.'/'.$img_name, $bd_flexslider_width, $bd_flexslider_height);
		$coordinates = serialize( $coordinates_array );

		/* insert db */
		$data = array('img' =>$img_name, 'position' => -1, 'coordinates' => $coordinates, 'language_code' => ICL_LANGUAGE_CODE);
		$format = array('%s', '%d', '%s');
		if($wpdb->insert( $bd_flexslider_table, $data, $format ))
			bd_admin_notices(__('Image uploaded', 'bd'), 'updated');
		else
			bd_admin_notices(__('Error inserting database', 'bd'), 'error');
		
	}

}

/* Req */
$slides = $wpdb->get_results("SELECT * FROM $bd_flexslider_table WHERE language_code='".ICL_LANGUAGE_CODE."' ORDER BY position");

if(!isset($_GET['edit'])){ ?>
<div class="wrap">
	<div id="icon-options-general" class="icon32"></div>
	<h2><?php _e('Slides Manager', 'bd'); ?></h2>
	<hr>
	<strong><?php _e('These images will be used in the Header Slider', 'bd'); ?> (flexslider)</strong>
	
	<hr>
	
	<h3><?php _e('Upload', 'bd'); ?></h3>
		
		<div class="left">
			<form action="<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel')); ?>" method="post" enctype="multipart/form-data">
				<?php wp_nonce_field('bd_upload_flexslider_image', 'bd_upload_flexslider_image_nonce'); ?>
				<label for="img"><?php  printf( __('File (%1$s, %2$s or %3$s)', 'bd' ) , 'jpg', 'png', 'gif'  ); ?> : </label>
				<input type="file" name="img">
				<input type="submit" name="submitimg" class="button-primary" onClick="javascript:Show('loader');" value="Upload">	
			</form>
		</div>
	
	<img id="loader" src="<?php echo admin_url('images/loading.gif'); ?>" alt="loader">
	<div class="clear"></div>
	<form action="<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel')); ?>" method="post" id="bd-selected-form">
	<table class="bd-custom-table">
		<thead>
			<th><input type="checkbox" id="bd-check-all"></th>
			<th><?php _e('Image', 'bd'); ?></th>
			<th><?php _e('Caption', 'bd'); ?></th>
			<th><?php _e('Link', 'bd'); ?></th>
			<th><?php _e('Action', 'bd'); ?></th>
		</thead>
	        	<tbody  id="sortable">
			<?php if($slides): ?>
			<?php foreach($slides as $slide): ?>
			<?php
			/*  */
			$size = getimagesize(BD_FLEXSLIDER_FILES_DIR.'/slides/'.$slide->img);   
			$preview_width = $size[0];
			?>
			<tr class="state-default" id="sortable_<?php echo $slide->id; ?>">
	
			<td><input name="box[]" type="checkbox" value="<?php echo $slide->id; ?>"></td>

			<td><a href="<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel&amp;edit='.$slide->id)); ?>"><img style="margin-top:15px" src="<?php echo BD_FLEXSLIDER_FILES_URL.'slides/'.$slide->img; ?>" alt="slider" width="<?php echo $preview_width/2; ?>"></a></td>
</a>
			</td>
			<td>
				<a title="<?php _e('Edit', 'bd'); ?>" href="<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel&amp;edit='.$slide->id)); ?>">
					<?php if(!empty($slide->caption)) { echo strip_tags($slide->caption); }else { _e('No caption', 'bd'); } ?>
				</a>
			</td>

			
			<td><?php if(!empty($slide->link)) { echo $slide->link; }else {  _e('No link', 'bd'); } ?></td>
			
			<td>
			<a href="<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel&amp;edit='.$slide->id)); ?>"><img class="hastip" src="<?php echo BD_FLEXSLIDER_URL; ?>img/admin/edit.png" alt="edit" title="<?php _e('Edit', 'bd'); ?>"></a>
			<a href="<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel&amp;delete='.$slide->id)); ?>" onclick="if (window.confirm('<?php _e('Are you sure to want to delete this slide ?', 'bd'); ?>')) {location.href='default.htm';return true;} else {return false;}"><img class="hastip" src="<?php echo BD_FLEXSLIDER_URL; ?>img/admin/delete.png" alt="delete" title="<?php _e('Delete', 'bd'); ?>"></a>
			<img  class="action-icon move" title="<?php _e('move', 'bd'); ?>" src="<?php echo BD_FLEXSLIDER_URL; ?>img/admin/move.png">
			</td>
			<?php endforeach; ?>
			<?php else : ?>
			<p><?php  _e('No image uploaded yet', 'bd'); ?>.</p>
			<?php endif; ?>
			</tr>
	        	</tbody>
	</table>
	
	<select style="position:relative; top:-20px" name="bd-slides-action" id="bd-slides-action">
		<option value=""><?php _e('Action', 'bd'); ?></option>
		<option value="1"><?php _e('Delete selected slides', 'bd'); ?></option>
	</select>
	</form>
	
	<h3><?php _e('Informations', 'bd'); ?></h3>
	<p><?php printf(__('Your image will be scaled and cropped to %1$s X %2$s.', 'bd'), '<strong>'.$bd_flexslider_width.'px</strong>', '<strong>'.$bd_flexslider_height.'px</strong>' ); ?>.<br>
	<?php printf(__('You can change the height in the %1$s options %2$s.', 'bd') , '<a href="'.admin_url("admin.php?page=bd-flexslider-settings").'"><strong>', '</strong></a>' ); ?><br>
	<?php printf(__('You have to re-crop your image after changing the height.', 'bd') ); ?><br>
	<?php printf(__('You can re-crop your slide by clicking on "edit" near your image preview.', 'bd') ); ?><br>
	</p>
	<p><em><?php _e('Note that you can change the height, but as the slider is responsive, the width can be only 570px to fit the half of the header', 'bd'); ?></em><br>
	</p>
	<hr>
	<p style="margin-top:20px"><?php printf(__('Visit the official %s Website', 'bd') , 'flexslider'); ?>:<br>
	<a target="_blank" href="<?php echo esc_url('http://www.woothemes.com/flexslider/'); ?>">http://www.woothemes.com/flexslider/</a></p>
</div>

<script type="text/javascript">
jQuery(function($){

	$('#bd-check-all').click(function () {
		$(this).parents('table:eq(0)').find(':checkbox').attr('checked', this.checked);
	});

	var select = $('#bd-slides-action');
	select.live('change', function(){
		var val = $(this).val();

		if(val == '1'){

			if(confirm("<?php _e('Are you sure to want to delete these slides?', 'bd'); ?>")){
				$("#bd-selected-form").submit();
			}
				
			
		}

	});

	var fixHelper = function(e, ui) {
	    ui.children().each(function() {
	        $(this).width($(this).width());
	    });
	    return ui;
	};
	$("#sortable").sortable({
		helper: fixHelper,
		placeholder: "state-highlight",
		opacity : 0.6,
		accept : 'state-default',
		update: function(){             
			serial = $("#sortable").sortable("serialize");
			$.ajax({
				url: "<?php echo esc_url(admin_url('admin.php?page=bd-flexslider-panel')); ?>",
				type: "post",
				data: serial,
				complete: function(data){console.log(data);}
			});
		}
	});
	$( "#sortable" ).disableSelection();

});
</script>
<?php } ?>