<?php
/* *
* The slider is compatible with WPML plugin 
* We define a default language constant in english in case WPML plugin is not used
*/
if(!defined('ICL_LANGUAGE_CODE'))
	define('ICL_LANGUAGE_CODE', 'en');

if( !function_exists('bd_img_area_crop') ):
function bd_img_area_crop($thumb_image_name, $image, $width, $height, $start_width, $start_height, $dest_w, $dest_h){
	list($imagewidth, $imageheight, $imageType) = getimagesize($image);
	$imageType = image_type_to_mime_type($imageType);

	$newImage = imagecreatetruecolor($dest_w,$dest_h);
	switch($imageType) {
		case "image/gif":
			$source=imagecreatefromgif($image); 
			break;
	    case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
			$source=imagecreatefromjpeg($image); 
			break;
	    case "image/png":
		case "image/x-png":
			$source=imagecreatefrompng($image); 
			break;
  	}

  	/* Keep transparency */
	if($imageType=='image/gif' || $imageType == 'image/png' || $imageType == 'image/x-png'){

		imagealphablending($newImage, false);
		imagesavealpha($newImage,true);
		$transparent = imagecolorallocatealpha($newImage, 255, 255, 255, 127);
		imagefilledrectangle($newImage, 0, 0, 0, 0, $transparent);
	}

	imagecopyresampled($newImage,$source,0,0,$start_width,$start_height,$dest_w,$dest_h,$width,$height);
	switch($imageType) {
		case "image/gif":
	  		imagegif($newImage,$thumb_image_name); 
			break;
      	case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
	  		imagejpeg($newImage,$thumb_image_name,90); 
			break;
		case "image/png":
		case "image/x-png":
			imagepng($newImage,$thumb_image_name);  
			break;
    	}
	chmod($thumb_image_name, 0777);
	return $thumb_image_name;
}
endif;

if( !function_exists('bd_resizeImage') ):
function bd_resizeImage($img,$max_w,$max_h) {
	
	$size = getimagesize($img);

	$width = $size[0];
	$height = $size[1];

	if( $max_w >= $width ){
		$max_w = $width;
	}

	if( $max_h >= $height ){
		$max_h = $height;
	}

	if( $height >= $width ){
		$scale = $max_h/$height;
	}
	
	elseif($width > $height){
		$scale = $max_w/$width;
	}
				
	$imageType = image_type_to_mime_type($size[2]);
	$newImageWidth = ceil($width * $scale);
	$newImageHeight = ceil($height * $scale); 
	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
	switch($imageType) {
		case "image/gif":
			$source=imagecreatefromgif($img); 
			break;
	    	case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
			$source=imagecreatefromjpeg($img); 
			break;
	    	case "image/png":
		case "image/x-png":
			$source=imagecreatefrompng($img); 
			break;
  	}

  	/* Keep transparency */
	if($imageType=='image/gif' || $imageType == 'image/png' || $imageType == 'image/x-png'){

		imagealphablending($newImage, false);
		imagesavealpha($newImage,true);
		$transparent = imagecolorallocatealpha($newImage, 255, 255, 255, 127);
		imagefilledrectangle($newImage, 0, 0, 0, 0, $transparent);
	}

	imagecopyresampled($newImage,$source,0,0,0,0,$newImageWidth,$newImageHeight,$width,$height);
	
	switch($imageType) {
		case "image/gif":
	  		imagegif($newImage,$img); 
			break;
      		case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
	  		imagejpeg($newImage,$img,90); 
			break;
		case "image/png":
		case "image/x-png":
			imagepng($newImage,$img);  
			break;
	}
	
	chmod($img, 0777);
	return $img;
}
endif;


if( !function_exists('bd_get_default_crop_coordinates') ):
function bd_get_default_crop_coordinates( $img, $max_w, $max_h ) {

	$size = getimagesize($img);

	$width = $size[0];
	$height = $size[1];

	if($width > $max_w){

		$w = $max_w;
		$x1 = ($width - $max_w) / 2;

	}elseif($width <= $max_w){

		$w = $width;
		$x1 = 0;

	}

	
	$h = ($w * $max_h)/$max_w;
	

	$y1 = ($height - $h) / 2;

	
	$x2 = $x1 + $w;
	$y2 = $y1 + $h;

	$coordinates = array( ceil($x1), ceil($y1), ceil($x2), ceil($y2), ceil($w), ceil($h) );

	return $coordinates;
}
endif;
?>