<?php
/*-----------------------------------------------------------------------------------*/
/*  Print custom CSS set up in the theme options
/*-----------------------------------------------------------------------------------*/
class BdCustomStyles{

	/**
	* Return font css import
	*/
	function import_fonts(){
	$css = '';
	$heading = str_replace("'", "", stripslashes(bd_get_option('title_font')) );
	$menu = str_replace("'", "", stripslashes(bd_get_option('menu_font')) );
	$body = str_replace("'", "", stripslashes(bd_get_option('body_font')) );


	$font = array(
		"CrimsonItalic" => 'Crimson-Italic-webfont',
		"ProclamateLight" => 'proclamate_light-webfont',
		"ProclamateHeavy" => 'proclamate_heavy-webfont',
		"CamboRegular" => 'Cambo-Regular-webfont',
		"UbuntuCondensedRegular" => 'unbuntucondensed-webfont',
		"LeagueGothicRegular" => 'League_Gothic-webfont',
		"LeanderRegular" => 'Leander-webfont',
		"Lobster13Regular" => "Lobster_1.3-webfont",
		"GermaniaOneRegular" => "germaniaone-webfont",
		"BebasRegular" => "BebasNeue-webfont",
		"BlackoutMidnight" => "Blackout-Midnight-webfont",
		"BoycottRegular" => "BOYCOTT_-webfont",
		"OstrichSansMedium" => "ostrich-regular-webfont",
		"AftaserifRegular" => "AftaSerifThin-Regular-webfont",
		"AurulentSansRegular" => "AurulentSans-Regular-webfont",
		"DroidSerifRegular" => "DroidSerif-Regular-webfont",
		"HillHouseMedium" => "Hill_House-webfont",
		"MisoRegular" => "miso-regular-webfont",
		"NobileRegular" => "nobile-webfont"
	);
	
	$font_list = array_keys($font);

	if( in_array($heading, $font_list ) ){
		
	$css .= "@font-face {
			font-family: '".$heading."';
			src: url('".BD_THEME_URL."css/fonts/".$font[$heading].".eot');
			src: url('".BD_THEME_URL."css/fonts/".$font[$heading].".eot?#iefix') format('embedded-opentype'),
			url('".BD_THEME_URL."css/fonts/".$font[$heading].".woff') format('woff'),
			url('".BD_THEME_URL."css/fonts/".$font[$heading].".ttf') format('truetype'),
			url('".BD_THEME_URL."css/fonts/".$font[$heading].".svg#".$heading."') format('svg');
			font-weight: normal;
			font-style: normal;
		}" . "\n";
	}

	if( (in_array($menu, $font_list )) && $menu !=$heading ){
		
		$css .= "@font-face {
			font-family: '".$menu."';
			src: url('".BD_THEME_URL."css/fonts/".$font[$menu].".eot');
			src: url('".BD_THEME_URL."css/fonts/".$font[$menu].".eot?#iefix') format('embedded-opentype'),
			url('".BD_THEME_URL."css/fonts/".$font[$menu].".woff') format('woff'),
			url('".BD_THEME_URL."css/fonts/".$font[$menu].".ttf') format('truetype'),
			url('".BD_THEME_URL."css/fonts/".$font[$menu].".svg#".$menu."') format('svg');
			font-weight: normal;
			font-style: normal;
		}". "\n";


	}

	if( (in_array($body, $font_list )) && $body != $heading && $body != $menu){

		$css .= "@font-face {
			font-family: '".$body."';
			src: url('".BD_THEME_URL."css/fonts/".$font[$body].".eot');
			src: url('".BD_THEME_URL."css/fonts/".$font[$body].".eot?#iefix') format('embedded-opentype'),
			url('".BD_THEME_URL."css/fonts/".$font[$body].".woff') format('woff'),
			url('".BD_THEME_URL."css/fonts/".$font[$body].".ttf') format('truetype'),
			url('".BD_THEME_URL."css/fonts/".$font[$body].".svg#".$body."') format('svg');
			font-weight: normal;
			font-style: normal;
		}". "\n";


	}



  		return $css;
	// end function
	} 


	function get_bg_options($id = null, $selector = null)
	{

		$css = '';

		$img = '';
		$color = bd_get_option($id.'_color');
		$repeat = bd_get_option($id.'_repeat');
		$position = bd_get_option($id.'_position');
		$attachment = bd_get_option($id.'_attachment');
		$size = bd_get_option($id.'_size');
			
		if( bd_get_option($id.'_img') )
			$img = 'url("'. BD_UPLOAD_URL  . bd_get_option($id.'_img') .'")';

		if( $color || $img ){ 
			$css .= $selector.' {background:none;}';

			if( !$img ) 
				$css .= $selector.' {background-color:'.$color.';}';
							
			if( $img )  {

				$css .= $selector.' {background :'.$color. ' '. $img .' '. $position .' '. $repeat .' '. $attachment .'}';
				
				if($size == 'tile')
					$css .= $selector.' {background-size: 100%}';
			}
			 
		} 
		

		return $css;

	}


	function css_options(){
		$css = '';

		/*-----------------------------------------------------------------------------------*/
		/*  Backgrounds
		/*-----------------------------------------------------------------------------------*/

		$body = 'body, body.dark, body.light, body.grunge';

		$bgs = array(
			'body_bg' => $body,
			'header' => 'body header#masthead, body.dark header#masthead, body.light header#masthead, body.grunge header#masthead',
			'feature_bg' => 'section#feature-container',
			'wrapper' => 'body.dark #page.wrapped, body.grunge #page.wrapped, body.light #page.wrapped',
			'headline' => 'body .headline, body.dark .headline, body.light .headline, body.grunge .headline',
			'bottomline' => 'body .bottomline, body.dark .bottomline, body.light .bottomline, body.grunge .bottomline',
			'footer_socials' => 'body.dark footer#colophon #footer-social-container, body.light footer#colophon #footer-social-container, body.grunge footer#colophon #footer-social-container',
			'footer' => 'body footer#colophon, body.dark footer#colophon, body.light footer#colophon, body.grunge footer#colophon'
		);

		foreach($bgs as $k => $v){
			$css .= $this->get_bg_options($k, $v);
		}

		/*-----------------------------------------------------------------------------------*/
		/*  Body
		/*-----------------------------------------------------------------------------------*/

		if(bd_get_option('body_font_size')){
			$css .= $body.' {font-size :'.bd_get_option('body_font_size').'px }';

			if(bd_get_option('body_font_size') <= 16){
				$css .= '.widget, .widget_video p, article.widget_reaction, span.blog-link {font-size:100%; line-height:1.5em}';
			}
		}

		if( bd_get_option('wrapper_color') || bd_get_option('wrapper_img')){

			$css .= 'body.dark #page.wrapped, body.grunge #page.wrapped, body.light #page.wrapped {
				box-shadow:none;
				-moz-box-shadow:none;
				  -webkit-box-shadow: none;
				  -o-box-shadow:none;

			}';

		}

		/*-----------------------------------------------------------------------------------*/
		/*  Headline & bottomline
		/*-----------------------------------------------------------------------------------*/

		if( bd_get_option('headline_color') || bd_get_option('headline_img')){ 

			$css .= 'body .headline, body.dark .headline, body.light .headline, body.grunge .headline {border:none!important }';

		}

		if( bd_get_option('bottomline_color') || bd_get_option('bottomline_img')){ 

			$css .= 'body .bottomline, body.dark .bottomline, body.light .bottomline, body.grunge .bottomline {border:none!important }';

		}
		

		if(bd_get_option('header')=='none'){
			$css .= '#feature-container {display:none}';
		}

		/*-----------------------------------------------------------------------------------*/
		/*  Top bar message
		/*-----------------------------------------------------------------------------------*/


		if(bd_get_option('topbar_color_choice')){ 
		        $css .="#topbar {background-color: ".bd_get_option('topbar_color_choice')." } 
		        #topbar-container #ribbon {background-color: ".bd_get_option('topbar_color_choice')."}";
		} 

		if(bd_get_option('topbar_color')){ 
		        $css .="#topbar {background-color: ".bd_get_option('topbar_color')." } 
		        #topbar-container #ribbon {background-color: ".bd_get_option('topbar_color')."}";
		} 

		if(bd_get_option('separator')){ 
		        $css .= "hr{
		        	background-color: ".bd_get_option('separator')."!important}
		        	.entry{-moz-box-shadow: inset 2px 0px 0px 0px ".bd_get_option('separator')."!important;
				  -webkit-box-shadow: inset 2px 0px 0px 0px ".bd_get_option('separator')."!important;
				  -o-box-shadow:inset 2px 0px 0px 0px ".bd_get_option('separator')."!important;
				  box-shadow: inset 2px 0px 0px 0px ".bd_get_option('separator')."!important;}
		        	";
		} 


		/*-----------------------------------------------------------------------------------*/
		/*  Sticky Menu
		/*-----------------------------------------------------------------------------------*/

		if(bd_get_option('sticky_menu')){ 
		        $css .='
		        .fixed-menu {
			  position: fixed;
			  top: 0;
			  left: 0;
			  z-index: 999;
			  background: #000;
			  display: none;
			  text-shadow: none;
			  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=85);
			   opacity: 0.85; 
			   moz-box-shadow: 0px 1px 5px 0px #000000;
			-webkit-box-shadow: 0px 1px 5px 0px #000000;
			-o-box-shadow: 0px 1px 5px 0px #000000;
			box-shadow: 0px 1px 5px 0px #000000;
			}
			body.light .fixed-menu li.home-menu-item a { background-image : url('.BD_THEME_URL.'images/home.png); }
			body.light .fixed-menu li.home-menu-item a:hover,
			body.light .fixed-menu li.home-menu-item.current_page_item a
			 { background-image : url('.BD_THEME_URL.'images/light/home.png); }
		        ';
		} 


		/*-----------------------------------------------------------------------------------*/
		/*  Font colors
		/*-----------------------------------------------------------------------------------*/

		if(bd_get_option('custom_color')){    
		        /* Main custom color */
		       $css .="a, a:visited,  table a
		       	{color:".bd_get_option('custom_color')." }

			.site-navigation a:hover,  .site-navigation .current_page_item a,
			body.light .site-navigation a:hover,  body.light .site-navigation .current_page_item a,
			#primary-menu li ul li a:hover,
			 .post .entry-link:hover, .release .entry-link:hover, table a, 
		       	span.comment-author a.url:hover,
		       	table a:hover, #filter li a:hover, #filter li a.active,
		       	span.themecolor, span.themecolor a,
		       	.album-thumb p,
		       	.entry .twitter-tweet-rendered .twt-tweet .e-content .p-name a,
		       	.entry-content .twitter-tweet-rendered .twt-tweet .e-content .p-name a,
			.twt-tweet .e-content .p-name a.ht b,
			.twt-tweet .e-content .p-name a.ht:hover b,
			.twt-tweet .e-content .p-name a.h-card b,
			.twt-tweet .e-content .p-name a.h-card:hover b
		       	 {color:".bd_get_option('custom_color')."!important}

			::-moz-selection,  span.dropcap-bg{ background: ".bd_get_option('custom_color')." ;}
			::selection { background:".bd_get_option('custom_color')." ;}
			a:link { -webkit-tap-highlight-color:".bd_get_option('custom_color')."  ; }

			.edit-link a, 
			a.comment-bubble-link:hover,
			a.more-link:hover, a.buy-button:hover, input[type=submit]:hover,
			a.more-link:focus, a.buy-button:focus, input[type=submit]:focus
			{background-color:".bd_get_option('custom_color')."!important}";
		} 

		if(bd_get_option('link_hover_color')){   
			$css .= 'a:hover, 
			body.light a:hover, 
			body.light footer#colophon a:hover,
			.site-navigation a:hover, body.light .site-navigation a:hover,
			 .post .entry-link:hover, .release .entry-link:hover, #filter li a:hover
			 {color:'.bd_get_option('link_hover_color').'!important}';
		}

		if(bd_get_option('body_color')){ 
		        $css .=  $body.", .tabgroup ul#tabs-menu a, .tabgroup ul#tabs-menu li a, #tablet-menu ul li a
		        #filter-portfolio li a, .tabgroup ul#tabs-menu li.ui-tabs-selected a, .tabgroup ul#tabs-menu a:hover,
		        #primary-menu a, .default-menu a,
		        .bd-albums-taxonomy a
		        { color: ".bd_get_option('body_color')." ;}
		        .entry-title a, #main-content span.dropcap-bg, #mobile-menu a {color:".bd_get_option('body_color')."!important;}
		        ";
		} 
		if(bd_get_option('body_text_shadow')){ 
		        $css .=  $body." { text-shadow: 1px 1px ".bd_get_option('body_text_shadow')." ;}";
		} 
		if(bd_get_option('body_no_text_shadow')){ 
		       $css .=  $body." { text-shadow: none!important;}";
		} 

		if(bd_get_option('heading_color')){ 
		        $css .="h1, h2, h3, h4, h5, h6, .post .entry-title a {
		  color: ".bd_get_option('heading_color')." ;} 
		  .entry-title a {
		  color: ".bd_get_option('heading_color')."!important ;}";

		} 

		if(bd_get_option('heading_text_shadow')){ 
		        $css .="h1, h2, h3, h4, h5, h6, .post .entry-title a {
		  text-shadow: 1px 1px ".bd_get_option('bd_heading_text_shadow')."!important ;}";

		} 

		if(bd_get_option('heading_no_text_shadow')){ 
		       $css .="h1, h2, h3, h4, h5, h6, .post .entry-title a { text-shadow: none!important;}";
		} 

		/*-----------------------------------------------------------------------------------*/
		/*  Fonts
		/*-----------------------------------------------------------------------------------*/

		/* Body font
		-----------------------------*/
		if(bd_get_option('body_font')){
			$css .=   $body.", input, textarea, .site-info .default-menu a {font-family: ".stripslashes(bd_get_option('body_font'))."}";

		} 

		/* Heading font
		-----------------------------*/

		if(bd_get_option('title_font')){
		           $css .= "h1, h2, h3, h4, h5, h6, span.comment-author, span.dropcap, 
		           span.dropcap-bg {font-family:".stripslashes(bd_get_option('title_font'))."}". "\n";
		           
		            if( stripslashes(bd_get_option('title_font')) == "'OstrichSansMedium'" ){ 
			             $css .= "
			             h1, h2, h3, h4, h5, h6{ line-height:0.8em; margin-bottom: 0.5em }
				h1 { font-size:430%; } 
				h2, .post h1.entry-title { font-size:350%; } 
				h3 { font-size:300%; }h4 { font-size:260% } h5 { font-size:210% } 
				h6 { font-size:180% }". "\n";
		            } 
		     
		 }
		if(bd_get_option('title_font_transform')){
           			$css .="h1, h2, h3, h4, h5, h6 {   text-transform: ".bd_get_option('title_font_transform')."  }";
		}

		 if(bd_get_option('menu_font')){ 
		          $css .=".site-navigation a, #mobile-menu-dropdown li { font-weight:normal; font-family:".stripslashes(bd_get_option('menu_font')).";}";
		            if( stripslashes(bd_get_option('menu_font'))=="'Helvetica Neue', Helvetica, Arial, sans-serif"  ){ 
			            	$css .=".site-navigation a, #mobile-menu-dropdown li {font-weight:bold; font-size:14px!important;}";
		            } 
		 } 
		 if(bd_get_option('menu_font_transform')){ 
		            $css .="#primary-menu li, .default-menu li, #mobile-menu li, #mobile-menu-dropdown li {   text-transform:  ".bd_get_option('menu_font_transform')." ;  }";
		 } 


		/*Header*/

		if(bd_get_option('static_header_padding')){ 
		        $css .="#fixheader-container
		        { padding: ".(bd_get_option('static_header_padding')+5)."px 0 ".bd_get_option('static_header_padding')."px }";
		} 



		if(bd_get_option('sidebar_position') == 'left'){ 
		        $css .="#primary {float:right; margin-right: 0;} #secondary {float:left; margin-right: 3.8%;}";
		} 


		/**
		* Flex slider container height to avoid jumping on load
		*
		*/
		$bd_flexslider_settings = get_option('bd_flexslider_settings');
		
		if( isset($bd_flexslider_settings['height']) )
			$css .='#head-slider-container {height:'. $bd_flexslider_settings['height'] .'px!important}';

		/*
		Custom CSS
		*/

		 if(bd_get_option('custom_css')){ 
		 	$css .= stripslashes(bd_get_option('custom_css'));
		 } 

		return $css;
	}


} // end class

/**
* Render Custom Background Style
**/
function render_background(){
	global $post, $options, $wp_query;
	$css = '';
	if(!is_404() && !is_tax() && $post){
		$post_id = $post->ID;
		$is_post_index = false;
		$is_page_for_posts = get_option('page_for_posts');

		if( $wp_query && isset($wp_query->queried_object_id) ){
			if( $is_page_for_posts && $is_page_for_posts ==  $wp_query->queried_object_id ){
				$post_id =  $wp_query->queried_object_id;
				$is_post_index = true;
			}
		}

		if( is_single() || is_page() || $is_post_index ){
			$img = '';
			$color = get_post_meta($post_id, 'bd_custom_bg_color', true);
			$repeat = get_post_meta($post_id, 'bd_custom_bg_repeat', true);
			$position = get_post_meta($post_id, 'bd_custom_bg_position', true);
			$attachment = get_post_meta($post_id, 'bd_custom_bg_attachment', true);
			$size = get_post_meta($post_id, 'bd_custom_bg_size', true);
			
			if( get_post_meta($post_id, 'bd_custom_bg_img', true) )
				$img = 'url("'. BD_UPLOAD_URL  .get_post_meta($post_id, 'bd_custom_bg_img', true) .'")';

			if( $color || $img ){ 
				
				$selector = 'body header#masthead, body.dark header#masthead, body.light header#masthead, body.grunge header#masthead';
				$css .= '<style type="text/css">'.$selector.' {background:none;}';
				
				if( !$img ) 
					$css .= $selector.' {background-color:'.$color.';}';
								
				if( $img )  {

					$css .= $selector.' {background :'.$color. ' '. $img .' '. $position .' '. $repeat .' '. $attachment .'}';
					
					if($size == 'tile')
						$css .= $selector.' {background-size: 100%}';
				}
				$css .= '</style>' ."\n";
				 
			} 
		}
		echo $css;
	}
}
global $bd_custom_css;
$bd_custom_css = new BdCustomStyles;


/**
 * Output the custom CSS
 */
function bd_output_css() {
	global $bd_custom_css;
	$content ="\n";
	$content .= '/* Custom CSS */' . "\n";
	$content .= $bd_custom_css->import_fonts();
	$content .= $bd_custom_css->css_options();
	$content .= "\n\n";
	
	return '<style type="text/css">'.$content.'</style>'."\n";
}

function bd_render_custom_css() {
    	echo bd_output_css();
}
add_action( 'wp_head', 'bd_render_custom_css' );
add_action( 'wp_head', 'render_background');
?>
