<?php
/*-----------------------------------------------------------------------------------*/
/*
/*	Theme Style Options
/*
/*-----------------------------------------------------------------------------------*/

$bd_fonts = array(
		"'CamboRegular'" => "Cambo",
		"'CrimsonItalic'" => "Crimson (Italic)",
		"'ProclamateLight'" => "Proclamate light",
		"'LeanderRegular'" => "Leander",
		"'LeagueGothicRegular'" => "League Gothic",
		"'MisoRegular'" => "Miso",
		"'BoycottRegular'" => "Boycott (uppercase)",
		"'UbuntuCondensedRegular'" => "Ubuntu Condensed", 
		"'GermaniaOneRegular'" => "Germania One",
		"'BebasRegular'" => "Bebas (uppercase)",
		"'BlackoutMidnight'" => "Blackout Midnight",
		"Lobster13Regular" => "Lobster",
		"'OstrichSansMedium'" => "Ostrich (uppercase)",
		"'AftaserifRegular'" => "Aftaserif",
		"'AurulentSansRegular'" => "Aurulent",
		"'DroidSerifRegular'" => "Droid Serif",
		"'HillHouseMedium'" => "Hill House (uppercase)",
		"'NobileRegular'" => "Nobile",
		"'Helvetica Neue', Helvetica, Arial, sans-serif" => "Helvetica", 
);		

/*-----------------------------------------------------------------------------------*/

// Available types : text, textarea, checkbox, select, background, colopicker, font-body, font-title

$bd_theme_options = array(
 
array( "name" => __('Options', 'bd'),
	"type" => "title"),

/*-----------------------------------------------------------------------------------*/
/*  General
/*-----------------------------------------------------------------------------------*/

array( "type" => "open"),
	
	array( "name" => __('General', 'bd'),
		"type" => "section"),

	

	array( "name" => __('Skin', 'bd'),
		"id" => "skin",
		"type" => "select",
		"options" => array(
			"dark" => __('dark', 'bd'),
			"light" => __('light', 'bd'),
			"grunge" => __('grunge', 'bd'),
		),
	),


	array( "name" => __('Logo', 'bd'),
		"id" => "logo",
		"type" => "file",
		),

	array( "name" => __('Your email', 'bd'),
		"id" => "user_email",
		"type" => "email",
		"desc" => __('Where you will recieve the mails from the contact form', 'bd'),
		"def" => "youremail@yoursite.com"),


	array( "name" => __('Top bar Message', 'bd'),
		"type" => "subtitle"),

	array( "name" => __("Top Bar Background pre-made color", 'bd'),
		"id" => "topbar_color_choice",
		"type" => "select",
		"options" => array(
			"#D65253" => "red", 
			"#7DD071" => "green",
				),
		"def" => "#D65253"),

	
	array( "name" => __('Top Bar Background Color', 'bd'),
		"id" => "topbar_color",
		"type" => "colorpicker",
		),

	array( "name" => __('Message', 'bd'),
		"desc" => __('Leave the field empty if you don\'t want to display a top bar message' , 'bd'),
		"id" => "topbar_text",
		"type" => "textarea",
		),

	array( "name" => __('Display Top Bar Message', 'bd'),
		"id" => "topbar_display",
		"desc" => __('You can use a cookie for the user\'s browser to remember if the message is opened or closed regardless of page change. ', 'bd'),
		"type" => "select",
		"options" => array(
			"cookie" => __('use a cookie', 'bd'),
			"open" => __('always open', 'bd'),
			"close" => __('always close', 'bd'),
		),
	),



		array( "name" => __('Footer', 'bd'),
		"type" => "subtitle"),

	array( "name" => __('Footer copyright text', 'bd'),
		"desc" => __('Enter the text used in the right side of the footer. It can contain HTML', 'bd'),
		"id" => "footer_text",
		"type" => "textarea",
	),

	array( "name" => __('Miscellaneous', 'bd'),
		"type" => "subtitle"),

	array( "name" => __('Login logo', 'bd'),
		"id" => "login_logo",
		"type" => "file",
		"desc" => __('Here you can upload your own logo for the login page (274px X 63px)', 'bd'),
		),


	array( "name" => __('Default avatar (80 X 80)', 'bd'),
		"desc" => __('The default avatar for comments', 'bd'),
		"id" => "default_avatar",
		"type" => "file",
		),

		
	array( "name" => __('Tracking Code', 'bd'),
		"desc" => __('You can paste your <strong>Google Analytics</strong> or other tracking code in this box. This will be automatically added to the footer.', 'bd'),
		"id" => "tracking_code",
		"type" => "javascript",
		),	

	array( "name" => __('Disable inbuit SEO feature', 'bd'),
		"id" => "disable_seo",
		"desc" => __('Check this option if you use a third party SEO plugin', 'bd'),
		"type" => "checkbox",
		),

	array( "name" => __('404 page text', 'bd'),
		"id" => "404",
		"type" => "text",
		"desc" => __('Text to display on 404 error page', 'bd'),
		"def" => __('You\'ve tried to reach a page that doesn\'t exist or has moved.', 'bd')
	),


array( "type" => "close"),


/*-----------------------------------------------------------------------------------*/
/*  Layout
/*-----------------------------------------------------------------------------------*/

array( "type" => "open"),

	array( "name" => __('Layout', 'bd'),
		"type" => "section"),

	array( "name" => __('Sticky main menu', 'bd'),
		"id" => "sticky_menu",
		"desc" => __('The admin bar on the front end will be hidden', 'bd'),
		"type" => "checkbox",
		),

	array( "name" => __('Page Container', 'bd'),
		"id" => "page_container",
		"type" => "select",
		"options" => array(
			"fullwidth" => __('fullwidth', 'bd'),
			"wrapped" => __('wrapped', 'bd'),
		),
	),

	array( "name" => __('Sidebar Position', 'bd'),
		"id" => "sidebar_position",
		"type" => "select",
		"options" => array(
			"right" => __('right', 'bd'),
			"left" => __('left', 'bd'),
			),
	),

	

	array( "name" => __('Wrapper', 'bd'),
		"desc" => __('If you have set the page container to "wrap", set the background of the page container here', 'bd'),
		"id" =>"wrapper",
		"type" => "background",
		),

	array( "name" => __('Top and bottom page content', 'bd'),
		"type" => "subtitle"),

	array( "name" => __('Top Holder', 'bd'),
		"desc" => __('The top holder is the content area between the header and the main content.
		You can choose to set a default headline that will be displayed on all pages and that will be overridden on any page
		if you enter another headline through your page editor (page options box).
		It can contains html and shortcodes.', 'bd'),
		"id" => "headline",
		"type" => "textarea",
	),

	array( "name" => __('Default Bottom Holder', 'bd'),
		"desc" => __('Same as the top holder for the content area between the main content and the footer.', 'bd'),
		"id" => "bottomline",
		"type" => "textarea",
	),




array( "type" => "close"),

/*-----------------------------------------------------------------------------------*/
/*  Styles
/*-----------------------------------------------------------------------------------*/

array( "type" => "open"),

	array( "name" => __('Style', 'bd'),
		"type" => "section"),

	array( "name" => "Font colors",
		"type" => "subtitle"),
		
	array( "name" => __('Accent Font Color', 'bd'),
		"desc" => __('Font color for links, accent color etc...', 'bd'),
		"id" => "custom_color",
		"type" => "colorpicker",
		),

	array( "name" => __('Link Hover Color', 'bd'),
		"id" => "link_hover_color",
		"type" => "colorpicker",
		),


	array( "name" => __('Body Font Color', 'bd'),
		"desc" => __('Color of the body text', 'bd'),
		"id" => "body_color",
		"type" => "colorpicker",
		),

	array( "name" => __('Body Text shadow', 'bd'),
		"desc" => __('Color of the body text shadow', 'bd'),
		"id" => "body_text_shadow",
		"type" => "colorpicker",
		),

	array( "name" => __('Body No Text Shadow', 'bd'),
		"desc" => __('Disable Body Text shadow', 'bd'),
		"id" => "body_no_text_shadow",
		"type" => "checkbox",
		),

	array( "name" => __('Heading Color', 'bd'),
		"id" => "heading_color",
		"type" => "colorpicker",
		),

	array( "name" => __('Heading Text shadow', 'bd'),
		"id" => "heading_text_shadow",
		"type" => "colorpicker",
		),

	array( "name" => __('Heading No Text Shadow', 'bd'),
		"desc" => __('Disable Heading Text shadow', 'bd'),
		"id" => "heading_no_text_shadow",
		"type" => "checkbox",
		),

	array( "name" => __('Separator Color', 'bd'),
		"id" => "separator",
		"type" => "colorpicker",
		),


	array( "name" => __('Body Background', 'bd'),
		"id" =>"body_bg",
		"type" => "background",
		),

	array( "name" => __('Header Background', 'bd'),
		"id" =>"header",
		"type" => "background",
		),

	

	array( "name" => __('Top Holder Background', 'bd'),
		"id" =>"headline",
		"type" => "background",
		),

	array( "name" => __('Bottom Holder Background', 'bd'),
		"id" =>"bottomline",
		"type" => "background",
		),


	array( "name" => __('Footer Background', 'bd'),
		"id" =>"footer",
		"type" => "background",
		),

	array( "name" => __('Footer Social Logos Background', 'bd'),
		"id" =>"footer_socials",
		"desc" => __('This area is visible only if you have installed the <a href="http://themes.brutaldesign.com/plugin/bd-music-network" target="_blank">BdMusicNetwork plugin</a>.', 'bd'),
		"type" => "background",
		),

	
	array( "name" => __('Custom', 'bd'),
		"type" => "subtitle"),

	array( "name" => __('Custom CSS', 'bd'),
		"desc" => __('Want to add any custom CSS code? Put in here, and the rest is taken care of. This overrides any other stylesheets. eg: a.button{color:green}', 'bd'),
		"id" => "custom_css",
		"type" => "textarea",
		),	

array( "type" => "close"),


/*-----------------------------------------------------------------------------------*/
/*  Fonts
/*-----------------------------------------------------------------------------------*/

array( "type" => "open"),
	array( "name" => __('Fonts', 'bd'),
		"type" => "section"),

	array( "name" => __('Body', 'bd'),
		"type" => "subtitle"),

	array( "name" => __('Body font', 'bd'),
		"desc" => __('Choose your font for the content', 'bd'),
		"id" => "body_font",
		"type" => "font-body",
		"options" => array(
			"'CamboRegular'" => "Cambo",
			"'Times New Roman', serif" => "Times New Roman",
			"'Helvetica Neue', Helvetica, Arial, sans-serif" => "Helvetica", 
			"Verdana, Arial, Helvetica, sans-serif" => "Verdana", 
			"Tahoma, serifSansSerifMonospace" => "Tahoma", 
			"'Trebuchet MS', sans-serif" => "Trebuchet",
			"monaco, sans-serif" => "Monaco",
			"Geneva, 'MS Sans Serif', sans-serif" => "Geneva", 
			"Georgia, serif" => "Georgia", 
			"'Courier New', Courier, monospace" => "Courier New",
			"Arial, Helvetica, sans-serif" => "Arial", 
			),
		"def" => "'Helvetica Neue', Helvetica, Arial, sans-serif"),

	array( "name" => __('Headings', 'bd'),
		"type" => "subtitle"),

	array( "name" => __('Title font', 'bd'),
		"desc" => __('Choose your font for the headings', 'bd'),
		"id" => "title_font",
		"type" => "font-title",
		"options" => $bd_fonts 
	),

	array( "name" => __('Main Menu', 'bd'),
		"type" => "subtitle"),


	array( "name" => __('Menu font', 'bd'),
		"desc" => __('Choose your font for the main menu', 'bd'),
		"id" => "menu_font",
		"type" => "font-title",
		"options" => $bd_fonts		
	),


array( "type" => "close"),



/*-----------------------------------------------------------------------------------*/
/*  Blog
/*-----------------------------------------------------------------------------------*/

array( "type" => "open"),


	array( "name" => "Blog",
		"type" => "section"),

	array( "name" =>  __('Default "Read more" text', 'bd'),
		"id" => "read_more_txt",
		"type" => "text",
		"def" => "Read more"
		),

	array( "name" =>  __('Excerpt', 'bd'),
		"id" => "excerpt_type",
		"desc" => __('Choose to split your post samples with the "more" tag or automatically.  If you choose "automatic", post samples will be formatted.', 'bd'),
		"type" => "select",
		"options" => array(
			"manual" => __('manual', 'bd'),
			"auto" => __('automatic', 'bd'),
			),
	),

	array( "name" => __('Excerpt Length', 'bd'),
		"desc" => __('Number of characters on post samples if you choose to generate excerpt automatically.', 'bd'),
		"id" => "excerpt_length",
		"type" => "text",
		),


		
			
array( "type" => "close"),


/*-----------------------------------------------------------------------------------*/
/*  Homepage
/*-----------------------------------------------------------------------------------*/

array( "type" => "open"),

	array( "name" => __('Homepage', 'bd'),
		"type" => "section"),

	array( 'name' => __('Feature', 'bd'),
		'type' => 'subtitle'

		),

	array( "name" => __('Feature Type', 'bd'),
		"desc" => __('Select what you want to display on your homepage header', 'bd'),
		"id" => "header",
		"type" => "select",
		"options" => array(
			"slider" => "Slider", 
			"embed" => "Embed", 
			"static" => __('Static Header', 'bd'), 
			"none" => __('No Header', 'bd')
				),
		"def" => "slider"),

	array( "name" => __('Embed object', 'bd'),
		"desc" => __('You can put any embed code here (youtube or vimeo video, soundcloud etc...) , html or shortcodes', 'bd'),
		"id" => "embed_header",
		"type" => "textarea",
		),	

	array( "name" => __('Static Header Image', 'bd'),
		"desc" => __('If you choose to feature an image, upload your image here', 'bd'),
		"id" => "static_header",
		"type" => "file",

		),

	array( "name" => __('Static Header Padding', 'bd'),
		"id" => "static_header_padding",
		"type" => "int",
		"app" => "px",
		),


	array( "name" => __('Feature Background', 'bd'),
		"id" =>"feature_bg",
		"type" => "background",
		),


array( "type" => "close"),


); // end $bd_theme_options


$bd_init_options = new BdThemeOptions($bd_theme_options);
?>