<?php
/*-----------------------------------------------------------------------------------*/
/*  Register theme scripts
/*  Scripts will be enqueued through framework/bd-core.php
/*-----------------------------------------------------------------------------------*/

/* Register theme scripts ------------------------------------------------------*/
wp_register_script( 'modernizr', BD_THEME_URL.'js/modernizr.js', '', '2.6.2' );
wp_register_script( 'flexslider', BD_THEME_URL.'js/jquery.flexslider-min.js', 'jquery', '2.1', true );
wp_register_script( 'fitvid', BD_THEME_URL.'js/jquery.fitvids.js', 'jquery', '1.0', true );
wp_register_script( 'fancybox', BD_THEME_URL.'js/jquery.fancybox.pack.js', 'jquery', '2.1.4', true );
wp_register_script( 'fancybox-media', BD_THEME_URL.'js/jquery.fancybox-media.js', 'jquery', '1.0.0', true );
wp_register_script( 'isotope', BD_THEME_URL.'js/jquery.isotope.min.js', 'jquery', '1.5.19', true );
wp_register_script( 'topbar-cookie', BD_THEME_URL.'js/cookie/jquery.memo.js', 'jquery', '1.0', true );

wp_register_script( 'custom', BD_THEME_URL.'js/jquery.custom.js', 'jquery', '1.0', true );
wp_localize_script( 'custom', 'BdAjax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
wp_register_script( 'contact', BD_THEME_URL.'js/jquery.contact.js', 'jquery', '1.0', true );

/* Enqueue theme scripts ------------------------------------------------------*/
wp_enqueue_script( 'jquery' );
wp_enqueue_script( 'modernizr' );
wp_enqueue_script( 'fitvid' );
wp_enqueue_script( 'flexslider' );
wp_enqueue_script( 'fancybox' );
wp_enqueue_script( 'isotope' );

if(bd_get_option('topbar_text'))
	wp_enqueue_script( 'topbar-cookie');

if( bd_is_page( 'video-gallery' ) )
	wp_enqueue_script( 'fancybox-media');

if( bd_is_page( 'contact' ) )
	wp_enqueue_script( 'contact' );

wp_enqueue_script( 'custom' );

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) 
	wp_enqueue_script( 'comment-reply' ); // loads the javascript required for threaded comments 
?>
	