<?php
/**
 * This is the loop for the posts
 * We display each post differently depending on the post format
 */
 ?>
<article <?php post_class(); ?>   id="post-<?php the_ID(); ?>">
		<?php 

		$format = get_post_format();
		if( false === $format ) { $format = 'standard'; }
		

		?>
		<div class="entry-meta-container">
			<?php
			$comments_link = get_comments_link();
			if( is_single() )
				$comments_link = '#comments';
			?>
			<a title="<?php printf(__('Comment on %s', 'bd'), get_the_title()); ?>" class="comment-bubble-link scroll" href="<?php echo $comments_link; ?>"><?php echo get_comments_number(); ?></a>
			<?php
			if(function_exists('bd_share')){

				if(is_single()): ?>
					<?php bd_share('vertical'); ?>
				<?php
				else:
					bd_share('horizontal');
				endif;
			}
			/*  Edit link
			/*---------------------------*/
			edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); 
			?>
		</div>
		<div class="entry">
		
		<?php
		if( $format != 'aside' && $format != 'quote'  )
			bd_post_title();
		
		?><div class="entry-meta"><?php

		$date = '<span class="published">'.get_the_date( get_option('date_format') ).'</span>';
		$mobile_date = '<span class="mobile-format-date">'.get_the_date( 'm/d/y' ).'</span>';
		$display_date = '<div class="date-meta"><span class="icon-date"></span>'.$date.$mobile_date.'</div>';

		echo $display_date;

		?>

		<span class="blog-link mobile-hide comment-count"><span class="icon-comment"></span><?php echo bd_comment_number(); ?></span>
		</div>
		<?php

		/*-----------------------------------------------------------------------------------*/
		/*  Link
		/*-----------------------------------------------------------------------------------*/
	
			if ( $format == 'link' ) {
				
				if(get_post_meta($post->ID, '_format_link_url', true)){ 
					$link = get_post_meta($post->ID, '_format_link_url', true);
					$target = ' target="_blank"';
				}else{
					$link = '#';	
					$target = '';
				}
				?>
				<p><span class="icon-link"></span><a title="<?php _e('Follow this link', 'bd'); ?>" href="<?php echo $link; ?>"<?php echo $target; ?>><?php echo $link; ?></a></p>
				<?php 
				
				
			}

		/*-----------------------------------------------------------------------------------*/
		/*  Quote
		/*-----------------------------------------------------------------------------------*/
	
			elseif ( $format == 'quote' ) {
				
				?>
				<div class="featured-quote">
					<blockquote>
						<p><?php echo get_post_meta($post->ID, '_format_quote_text', true); ?></p>
						<?php if(get_post_meta($post->ID, '_format_quote_source_name', true)): ?>
							<small>
								<?php if(get_post_meta($post->ID, '_format_quote_source_url', true)): ?>
								<a href="<?php echo get_post_meta($post->ID, '_format_quote_source_url', true); ?>" target="_blank">
								<?php endif;
								
								echo get_post_meta($post->ID, '_format_quote_source_name', true);
								
								if(get_post_meta($post->ID, '_format_quote_source_url', true)!=''): ?>
								</a>
								<?php endif; ?>
							</small>
						<?php endif; ?>
					</blockquote>
				</div>
				<?php 
				
				
				
			}

		/*-----------------------------------------------------------------------------------*/
		/*  Audio
		/*-----------------------------------------------------------------------------------*/
	
			elseif ( $format == 'audio' ) {			
				
				
				if(has_post_thumbnail( $post->ID )):
				?>
				<p class="preview">
					<a href="<?php the_permalink(); ?>"  title="<?php _e('Permanent Link to '.get_the_title(), 'bd'); ?>">
						<?php the_post_thumbnail( 'default', array( 'title' => '') ) ; ?>
					</a>
				</p>
				<?php
				endif;
				/* jPlayer */
				echo bd_jplayer($post->ID, get_post_meta($post->ID, '_format_audio_mp3', true), get_post_meta($post->ID, '_format_audio_ogg', true));
				
				
		
			}

		/*-----------------------------------------------------------------------------------*/
		/*  Video
		/*-----------------------------------------------------------------------------------*/
	
			elseif ( $format == 'video' ) {
	

				?>
				<div class="featured-video">
					<?php echo do_shortcode(get_post_meta($post->ID, '_format_video_embed', true)); ?>
				</div>
				<?php 

				
			}

		/*-----------------------------------------------------------------------------------*/
		/*  Image
		/*-----------------------------------------------------------------------------------*/
	
			elseif ( $format == 'image' ) {
				
				if( has_post_thumbnail() ):
				?>
				<p class="preview">
					<a href="<?php echo bd_get_post_thumbnail_url('full-size'); ?>" class="zoom fancybox">
						<?php the_post_thumbnail('default', array('title' =>  __('Click to enlarge', 'bd') )) ; ?>
					</a>
				</p>
				<?php 
				endif;
			}
		
		/*-----------------------------------------------------------------------------------*/
		/*  Gallery
		/*-----------------------------------------------------------------------------------*/	
			
			elseif ( $format == 'gallery' ) {

				/* Slider */
				echo bd_post_slider('default');

				
			}

		/*-----------------------------------------------------------------------------------*/
		/*  Standard
		/*-----------------------------------------------------------------------------------*/
	
			else {
				
				if(has_post_thumbnail( $post->ID ) && !is_single()):
				?>
					<p class="preview">
						<a href="<?php the_permalink(); ?>"  title="<?php _e('Permanent Link to '.get_the_title(), 'bd'); ?>">
							<?php the_post_thumbnail('default', array('title' => '', 'class' => 'shadow') ) ; ?></a>
					</p>
				
				<?php
				endif;
				
			}

			if( $format == 'aside')
				the_content();
			else
				bd_post_text();
				bd_post_category_and_tags(); 

				bd_share_mobile();
			?></div><?php
			
		?>
		<div class="clear"></div>
		<?php 

		/* If we are on the single post page, we display the post navigation
		------------------------------------------------------------------------------------*/
		if(is_single()) {
			?><hr><?php
			bd_single_post_nav(); 
		}

		?>
	
</article>
<hr>