<?php
get_header();
bd_page_before();
?>
	<div id="main-content" class="wrap">
		<div id="primary" class="site-content">
			<div id="content" role="main">
				<?php bd_single_post_nav(); ?>
				<?php if(have_posts()): while ( have_posts() ) : the_post(); ?>
					<?php 
					$paypal_button = false;
					$price = get_post_meta(get_the_ID(), 'bd_paypal_price', true);
					$sold_out = get_post_meta(get_the_ID(), 'bd_item_soldout', true);
					$item_name = get_post_meta(get_the_ID(), 'bd_paypal_item_name', true);

					$itunes = get_post_meta(get_the_ID(), 'bd_item_itunes', true);
					$amazon = get_post_meta(get_the_ID(), 'bd_item_amazon', true);
					$buy_cd = get_post_meta(get_the_ID(), 'bd_item_buy_cd', true);
					if(get_post_meta(get_the_ID(), 'bd_item_buy_cd_text', true))
						$buy_cd_text = get_post_meta(get_the_ID(), 'bd_item_buy_cd_text', true);
					else
						$buy_cd_text = __('Buy Now', 'bd');
					?>
					<article <?php post_class(); ?>  id="post-<?php the_ID(); ?>">
				
						<header class="entry-header">
							<h1 class="entry-title"><?php the_title(); ?></h1>
						</header><!-- .entry-header -->
						
						<div class="entry-content">
							<div class="item-meta">
								<?php if(has_post_thumbnail()): ?>
								<p>
									<a style="style:width:100%; display:block;" href="<?php echo bd_get_post_thumbnail_url('full-size'); ?>" class="zoom fancybox">
										<img width="100%" src="<?php echo bd_get_post_thumbnail_url('store-thumb'); ?>" alt="<?php echo sanitize_title(get_the_title()); ?>"></a>
								</p>
								<?php endif; ?>
								<?php if( !$sold_out ): ?>
								<?php if($itunes): ?><a target="_blank" href="<?php echo esc_url($itunes); ?>" class="buy-button"><span class="buy-itunes"></span><?php _e('Buy on iTunes', 'bd'); ?></a><?php endif ; ?>
								<?php if($amazon): ?><a target="_blank" href="<?php echo esc_url($amazon); ?>" class="buy-button"><span class="buy-amazon"></span><?php _e('Buy on Amazon', 'bd'); ?></a><?php endif ; ?>
								<?php endif; ?>
							</div>
							<div class="item-content">
								<?php the_content(); ?>
								<div class="item-buy">
								<?php if( !$sold_out ): ?>
								<?php if($buy_cd): ?><a href="<?php echo esc_url($buy_cd); ?>" class="buy-button"><span class="buy-cd"></span><?php echo $buy_cd_text; ?></a><?php endif ; ?>
								<?php
									
								/* Paypal button options
								-------------------------------*/
								$type = get_post_meta(get_the_ID(), 'bd_paypal_type', true);
								$shipping = get_post_meta(get_the_ID(), 'bd_paypal_shipping', true);
								$tax = get_post_meta(get_the_ID(), 'bd_paypal_tax', true);
								$paypal_text = get_post_meta(get_the_ID(), 'bd_paypal_text', true);
								$opt1_name = get_post_meta(get_the_ID(), 'bd_paypal_opt1_name', true);
								$opt1 = get_post_meta(get_the_ID(), 'bd_paypal_opt1', true);
								$opt2_name = get_post_meta(get_the_ID(), 'bd_paypal_opt2_name', true);
								$opt2 = get_post_meta(get_the_ID(), 'bd_paypal_opt2', true);
									

								if(!$sold_out && $paypal_text && !$buy_cd)
									bd_paypal($paypal_text, $item_name, $price, $type, $shipping, $tax, $opt1_name, $opt1, $opt2_name, $opt2);


								?>
								<?php else: ?>
								<?php _e('Sold Out', 'bd') ; ?>
								<?php endif; ?>
								</div>
							</div>
							<div class="clear"></div>
							<?php edit_post_link( __( 'Edit', 'bd' ), '<span class="edit-link">', '</span>' ); ?>
						</div><!-- .entry-content -->
						
					</article>
		
				<?php endwhile; // end of the loop. 
				endif; ?>
		                                        
			</div><!-- #content -->
		</div><!-- #primary .site-content -->
		
		<aside id="secondary" class="widget-area" role="complementary">
			<?php dynamic_sidebar('item'); ?>
		</aside>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>