<?php
/*
Template Name: Discography
*/
get_header();
bd_page_before();
?>

	<div id="main-content" class="wrap">
		<div id="primary" class="site-content">
			<div id="content" role="main">
			<?php if( get_post_meta(get_the_ID(), 'bd_page_title', true) ): ?>
				<header class="entry-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header><!-- .entry-header -->
			<?php endif; ?>
			<?php 
			$loop = new WP_Query("post_type=release&posts_per_page=-1");
			if($loop->have_posts()): 
				while ( $loop->have_posts() ) : $loop->the_post(); 
				$band = get_post_meta(get_the_ID(), 'bd_release_band', true);
				$title = get_post_meta(get_the_ID(), 'bd_release_title', true);
				$date = get_post_meta(get_the_ID(), 'bd_release_date', true);
				$label = get_post_meta(get_the_ID(), 'bd_release_label', true);
				$desc = get_post_meta(get_the_ID(), 'bd_release_desc', true);


			?>

			<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
				<?php if(has_post_thumbnail()): ?>
				<div class="release-meta preview">
					<a title="<?php _e('View details', 'bd'); ?>" href="<?php the_permalink(); ?>">
						<img width="100%" src="<?php echo bd_get_post_thumbnail_url('store-thumb'); ?>" alt="<?php echo sanitize_title(get_the_title()); ?>">
					</a>
				</div>
				<?php endif; ?>
				<div class="release-content">
					<h2 class="entry-title">
						<a class="entry-link" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'bd'), get_the_title()); ?>" href="<?php echo esc_url( get_permalink() ); ?>">
							<?php the_title(); ?>
						</a>
					</h2>
					<?php if($band): ?><strong><?php echo $band; ?></strong><?php endif ; ?>
					<?php if($band && $title): ?> &mdash; <?php endif ; ?>
					<?php if($title): ?><?php echo $title; ?><?php endif ; ?>

					<?php if($date): ?><br><?php printf(__('<strong>Release date</strong> : %s', 'bd'), bd_date_format($date)); ?><?php endif ; ?>
					<?php if($label): ?><br><?php printf(__('<strong>Label</strong> : %s', 'bd'), $label) ; ?><?php endif ; ?>

					<?php if($desc): ?><p style="margin-top:0.5em"><?php echo do_shortcode($desc); ?></p><?php endif ; ?>

					<div style="height:10px"></div>
					<a href="<?php the_permalink(); ?>" class="more-link"><?php _e('View details', 'bd'); ?></a>
				</div>
			</article>
			<div class="clear"></div>
			<hr>
			<?php endwhile; // end of the loop. ?>

			<?php else: ?>

			<div style="padding:50px 0 150px">
				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'bd' ); ?></h1>
					</header><!-- .entry-header -->

					<div class="entry-content">
						<p><?php _e( 'No release yet.', 'bd' ); ?></p>
					</div><!-- .entry-content -->
				</article><!-- #post-0 .post .no-results .not-found -->
			</div>

			<?php endif; ?>
			</div><!-- #content -->
		</div><!-- #primary .site-content -->
		<?php get_sidebar(); ?>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>