<?php
/*
Template Name: Albums
*/
get_header(); 
bd_page_before();
?>
<div class="wrap">
<?php

	$loop = new WP_Query("post_type=gallery&posts_per_page=-1");
	if($loop->have_posts()): 

		$args = array(
			'taxonomy'     => 'gallery-category',
			'orderby'      => 'slug',
			'show_count'   => 0,
			'pad_counts'   => 0,
			'hierarchical' => 0,
			'title_li'     => ''
		); 
?>
	<div id="filter-container">
		<ul id="filter">
			<li><a href="#" data-filter="gallery" class="active hover"><?php _e('All', 'bd'); ?></a></li>
			<?php $cat = get_categories( $args ); ?>
			
			<?php foreach($cat as $c): ?>
				<?php if($c->count != 0): ?>
				<li><a href="#" data-filter="<?php echo $c->slug; ?>" class="hover"><?php echo $c->name; ?></a></li>
				<?php endif; ?>
			<?php endforeach; ?>
			
		</ul>
		<div class="clear"></div>
	</div><!-- #filter-container -->

	<div id="albums-grid" class="site-content">
		<?php while ($loop->have_posts()) : $loop->the_post(); 
			$term_list = '';
			$term_name ='';
			if(get_the_terms($post->ID, 'gallery-category')){
				foreach(get_the_terms($post->ID, 'gallery-category') as $term){
					$term_list .= $term->slug.' ';
					$term_name .= $term->name.', ';
				}
			}
			$term_name = substr($term_name, 0, -2);

			?>
			<?php if(has_post_thumbnail()): ?>
			<div <?php post_class(array('album-item-container', $term_list)); ?> id="post-<?php the_ID(); ?>">
				<div class="album-item">
					<a class="entry-link" href="<?php the_permalink(); ?>">
						<div class="album-thumb">
							<?php the_post_thumbnail('item-cover'); ?>
							<div class="album-title">
								<h5><?php the_title(); ?></h5>
								<p><?php _e( 'View Gallery', 'bd' ); ?></p>
							</div>
						</div>
					</a>
				</div>
			</div>
			<?php endif; //end if post cover ?>
		<?php endwhile; ?>
		<div class="clear"></div>
	
	</div><!-- #albums-grid .site-content -->

	<?php else: // if no post?>
		<div style="padding:50px 0 150px">
			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'bd' ); ?></h1>
				</header><!-- .entry-header -->

				<div class="entry-content">
					<p><?php _e( 'No photo uploaded yet.', 'bd' ); ?></p>
				</div><!-- .entry-content -->
			</article><!-- #post-0 .post .no-results .not-found -->
		</div>
	<?php endif; ?>
</div>
<?php 
bd_page_after();
get_footer(); 
?>